Get Notification Settings by Admin
GET /admin/user/{userid}/notification-settings
GET
/admin/user/{userid}/notification-settings
Retrieve the notification settings for a specific user based on their user ID and type.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” userid
required
string
User ID to fetch notification settings for
Query Parameters
Section titled “Query Parameters ” userType
required
string
User type (e.g., HYG, DNT)
Responses
Section titled “ Responses ”Notification settings for the specified user
Array<object>
Response showing current notification settings for a specific event.
object
email
required
boolean
event
string
OFFICE_EVENT_OFFER_RECEIVED push
required
boolean
true text
required
boolean
trueBad Request: missing user type or invalid data
object
error
string
some meaningful error messageUnauthorized: user is not authenticated or authorized
object
error
string
some meaningful error messageInternal Server Error: failed to retrieve settings
object
error
string
some meaningful error message